package util.hlist.mutable;

/**
 * Ende der heterogenen Liste.
 * 
 * @param <T> 
 * @author Heiner K&uuml;cker
 */
public final class TerminalMutableHListEntry<T>
extends AbstractMutableHListEntry<T, VoidMutableHListEntry>
{
	/**
	 * Konstruktor.
	 */
	public TerminalMutableHListEntry()
	{
		super(
				//nextEntry
				null );
	}

	/**
	 * Konstruktor.
	 * 
	 * @param value
	 */
	public TerminalMutableHListEntry(
			final T value )
	{
		super(
				value ,
				//nextEntry
				null );
	}
}
